/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.funambol.framework.core.dm.ddf;

import java.util.Hashtable;
import java.util.Map;
import java.util.HashMap;
import java.beans.XMLEncoder;


/**
 * Corresponds to the &lt;PX&gt; interior node in the management tree
 *
 *
 *
 * @version $Id: Ext.java,v 1.1 2006/01/18 18:38:12 luigiafassina Exp $
 */
public class Ext {

    // --------------------------------------------------------------- Constants

    // ------------------------------------------------------------ Private data

    // contains the nodes
    private Map nodes;

    private String nome;

    // ------------------------------------------------------------ Constructors
    /** For serialization purposes */
    public Ext() {
        this.nodes = new HashMap();
    }

    /**
     * Sets a node
     * @param name String
     * @param value String
     */
    public void setNode(String name, String value) {
        nodes.put(name, value);
    }

    /**
     * Sets a node
     * @param name String
     * @param value String
     */
    public void getNode(String name, String value) {

    }

    public void setNome(String nome) {
        this.nome = nome;
    }

    public String getNome() {
        return nome;
    }

    /**
     * Returns the nodes
     * @return the nodes
     */
    public Map getNodes() {
        return nodes;
    }

    // ---------------------------------------------------------- Public methods

    public static void main(String[] args) {

        Ext ext = new Ext();
        ext.setNode("service", "5");
        ext.setNome("pippo");
        XMLEncoder enc = new XMLEncoder(System.out);
        enc.writeObject(ext);
        enc.flush();
        enc.close();
    }
}
