/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.funambol.server.engine;


import java.io.*;
import java.beans.*;

import com.funambol.framework.tools.PatternPair;

/**
 *
 * @version $Id: DeviceIdManagerSelector.java,v 1.1 2006/01/18 18:38:17 luigiafassina Exp $
 */
public class DeviceIdManagerSelector
implements java.io.Serializable {

    private PatternPair[] patterns;
    private String defaultManager;

    /** Creates a new instance of DeviceIdManagerSelector */
    public DeviceIdManagerSelector() {
    }

    public void setPatterns(PatternPair[] patterns) {
        this.patterns = patterns;
    }

    public PatternPair[] getPatterns() {
        return this.patterns;
    }

    public void setDefaultManager (String defaultManager) {
        this.defaultManager = defaultManager;
    }

    public String getDefaultManager() {
        return defaultManager;
    }

}
