/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package com.funambol.framework.core;

/**
 * This class represents the &lt;MapItem&gt; tag as defined by the SyncML r
 * epresentation specifications.
 *
 *
 *
 * @version $Id: Mark.java,v 1.1 2006/01/18 18:38:11 luigiafassina Exp $
 *
 */
public interface Mark {

    // --------------------------------------------------------------- Constants

    public static final String DRAFT    = "draft"   ;
    public static final String FINAL    = "final"   ;
    public static final String DELETE   = "delete"  ;
    public static final String UNDELETE = "undelete";
    public static final String READ     = "read"    ;
    public static final String UNREAD   = "unread"  ;

}
